Create shipment
curl --request POST \
--url https://devapi.eazecustoms.com/staging/v1/shipments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"referenceNumber": "<string>",
"localReferenceNo": "<string>",
"remarks": "<string>",
"totalWeight": 123,
"totalPrice": 123,
"autoClearance": true,
"autoPreclearance": true
}
'import requests
url = "https://devapi.eazecustoms.com/staging/v1/shipments"
payload = {
"referenceNumber": "<string>",
"localReferenceNo": "<string>",
"remarks": "<string>",
"totalWeight": 123,
"totalPrice": 123,
"autoClearance": True,
"autoPreclearance": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
referenceNumber: '<string>',
localReferenceNo: '<string>',
remarks: '<string>',
totalWeight: 123,
totalPrice: 123,
autoClearance: true,
autoPreclearance: true
})
};
fetch('https://devapi.eazecustoms.com/staging/v1/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shipmentId": 99,
"referenceNumber": "180-43189000",
"localReferenceNo": "PO-2026-001",
"remarks": "External API shipment",
"totalWeight": 480,
"totalPrice": 9500,
"status": "draft",
"createdAt": "2026-06-22T17:00:00.000Z",
"updatedAt": "2026-06-22T17:00:00.000Z"
}
Shipments
Create shipment
Create a new shipment that can be used for declarations submitted via external API.
POST
/
v1
/
shipments
Create shipment
Create a new shipment that can be used for declarations submitted via external API.
Body
string
required
The unique reference number of the shipment (e.g., Master Bill of Lading, Air Waybill).
string
The local reference number or Purchase Order number.
string
Additional remarks or notes for the shipment.
number
The total gross weight of the shipment.
number
The total value or price of the shipment.
boolean
Whether to automatically trigger clearance when declaration is ready.
boolean
Whether to automatically trigger preclearance when declaration is ready.
JSON Payload
{
"referenceNumber": "180-43189000",
"localReferenceNo": "PO-2026-001",
"remarks": "External API shipment",
"totalWeight": 480,
"totalPrice": 9500,
"autoClearance": true,
"autoPreclearance": true
}
{
"shipmentId": 99,
"referenceNumber": "180-43189000",
"localReferenceNo": "PO-2026-001",
"remarks": "External API shipment",
"totalWeight": 480,
"totalPrice": 9500,
"status": "draft",
"createdAt": "2026-06-22T17:00:00.000Z",
"updatedAt": "2026-06-22T17:00:00.000Z"
}
⌘I